## GimpFontSelectButton

GimpFontSelectButton — A button which pops up a font selection dialog.

## Functions

GtkWidget * | gimp_font_select_button_new ()
const gchar * | gimp_font_select_button_get_font ()
void | gimp_font_select_button_set_font ()

## Properties

char * | font-name | Read / Write
char * | title | Read / Write / Construct Only

## Signals

void | font-set | Run First

## Types and Values

| GimpFontSelectButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpSelectButton
                                ╰── GimpFontSelectButton

## Implemented Interfaces

GimpFontSelectButton implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

A button which pops up a font selection dialog.

## Functions

### gimp_font_select_button_new ()

    GtkWidget *
    gimp_font_select_button_new (const gchar *title,
                                 const gchar *font_name);

Creates a new GtkWidget that completely controls the selection of a font. This widget is suitable for placement in a table in a plug-in dialog.

#### Parameters

title | Title of the dialog to use or `NULL` to use the default title. |
font_name | Initial font name. |

#### Returns

A GtkWidget that you can use in your UI.

Since: 2.4

### gimp_font_select_button_get_font ()

    const gchar *
    gimp_font_select_button_get_font (GimpFontSelectButton *button);

Retrieves the name of currently selected font.

#### Parameters

button | A GimpFontSelectButton |

#### Returns

an internal copy of the font name which must not be freed.

Since: 2.4

### gimp_font_select_button_set_font ()

    void
    gimp_font_select_button_set_font (GimpFontSelectButton *button,
                                      const gchar *font_name);

Sets the current font for the font select button.

#### Parameters

button | A GimpFontSelectButton |
font_name | Font name to set; `NULL` means no change. |

Since: 2.4

## Types and Values

### GimpFontSelectButton

    typedef struct _GimpFontSelectButton GimpFontSelectButton;

## Property Details

### The `“font-name”` property

      “font-name”                char *

The name of the currently selected font.

Owner: GimpFontSelectButton

Flags: Read / Write

Default value: "Sans-serif"

Since: 2.4

### The `“title”` property

      “title”                    char *

The title to be used for the font selection popup dialog.

Owner: GimpFontSelectButton

Flags: Read / Write / Construct Only

Default value: "Font Selection"

Since: 2.4

## Signal Details

### The `“font-set”` signal

    void
    user_function (GimpFontSelectButton *widget,
                   char                 *font_name,
                   gboolean              dialog_closing,
                   gpointer              user_data)

The ::font-set signal is emitted when the user selects a font.

#### Parameters

widget | the object which received the signal. |
font_name | the name of the currently selected font. |
dialog_closing | whether the dialog was closed or not. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

Since: 2.4